- Qt 6.5
- Qt GUI
- C++ Classes
- QX11Application
- Qt 6.5.0 Reference Documentation

# QX11Application Struct

struct QNativeInterface::QX11Application

Native interface to an X11 application. More...

Header: | #include <QGuiApplication>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Gui) target_link_libraries(mytarget PRIVATE Qt6::Gui)
qmake: | QT += gui
Since: | Qt 6.2

- List of all members, including inherited members
- QX11Application is part of Native Interfaces.

## Public Functions

virtual xcb_connection_t * | connection() const = 0
virtual Display * | display() const = 0

## Detailed Description

Accessed through QGuiApplication::nativeInterface().

## Member Function Documentation

### `[pure virtual]` xcb_connection_t *QX11Application::connection() const

Returns the X connection of the application, for use with XCB.

See also display().

### `[pure virtual]` Display *QX11Application::display() const

Returns the X display of the application, for use with Xlib.

See also connection().